Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class ErrorEstimator

    java.lang.Object
      biouml.plugins.simulation.ode.ErrorEstimator

public class ErrorEstimator
extends java.lang.Object

Constructor Summary
`ErrorEstimator()`

Method Summary
`static double[]` | `embedded_estimate(double h, double[] xold, double[] xnew, double[] xe, double[] atol, double[] rtol, double p, double aMax, double aMin, double alpha)`
`static double[]` | `stepdoubling_estimate(double h, double[] eta1, double[] eta2, double[] xtemp, double atol, double rtol, double p, double amax, double alpha)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorEstimator

    public ErrorEstimator()

Method Detail

### embedded_estimate

    public static double[] embedded_estimate(double h,
                                             double[] xold,
                                             double[] xnew,
                                             double[] xe,
                                             double[] atol,
                                             double[] rtol,
                                             double p,
                                             double aMax,
                                             double aMin,
                                             double alpha)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stepdoubling_estimate

    public static double[] stepdoubling_estimate(double h,
                                                 double[] eta1,
                                                 double[] eta2,
                                                 double[] xtemp,
                                                 double atol,
                                                 double rtol,
                                                 double p,
                                                 double amax,
                                                 double alpha)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.